ipod touch 3g wont upgrade

Discussion in 'iPod touch' started by slowklopdop, Apr 17, 2010.

  1. slowklopdop

    slowklopdop New Member

    Joined:
    Oct 17, 2009
    Messages:
    29
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Hi so i was ready to upgrade to 3.1.2 (current Fw: 3.1.1) i downloaded the 3.1.2 Fw, shift and clicked on both restore and upgrade only to be given a error .

    "the ipod could not be restored not eligible for the requested build"

    So can anyone help?
  2. AMurphy

    AMurphy Banned

    Joined:
    Apr 11, 2010
    Messages:
    537
    Likes Received:
    0
    Device:
    3G iPod touch
    i dont think you can unless you have sigs saved on 3.1.2 you will have to stay at 3.1.1 and why not its jailbreakable
  3. slowklopdop

    slowklopdop New Member

    Joined:
    Oct 17, 2009
    Messages:
    29
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
  4. tckrockz

    tckrockz Member

    Joined:
    Apr 15, 2009
    Messages:
    347
    Likes Received:
    2
    Device:
    3G iPod touch
    Just stay with 3.1.1 since it can be jailbreaked if you upgrade to 3.1.3 no more jailbreak.
  5. Tkf1

    Tkf1 Community Development Staff Member

    Joined:
    Oct 12, 2009
    Messages:
    17,397
    Likes Received:
    2,488
    Device:
    iPad mini
    3.1.2 or 3.1.3 don't have any new features. It was just bug fixes.

    You could just stay at 3.1.1 and jailbreak with blackra1n.

Share This Page